Index: XIOS/dev/branch_openmp/Note/EP note.aux
===================================================================
--- XIOS/dev/branch_openmp/Note/EP note.aux	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/EP note.aux	(revision 1552)
@@ -21,5 +21,5 @@
 \@writefile{toc}{\contentsline {section}{\numberline {6}Inter-communicator}{8}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {6.1}The splitting of intra-communicator}{8}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {6.2}The creation of inter-communicator}{10}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {6.2}The creation of inter-communicator}{9}}
 \citation{MPI}
 \@writefile{toc}{\contentsline {subsection}{\numberline {6.3}The merge of inter-communicators}{12}}
Index: XIOS/dev/branch_openmp/Note/EP note.log
===================================================================
--- XIOS/dev/branch_openmp/Note/EP note.log	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/EP note.log	(revision 1552)
@@ -1,3 +1,3 @@
-This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015/Debian) (preloaded format=pdflatex 2017.8.24)  22 JUN 2018 16:19
+This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2015/Debian) (preloaded format=pdflatex 2017.8.24)  26 JUN 2018 15:00
 entering extended mode
  restricted \write18 enabled.
@@ -638,14 +638,14 @@
 
 
-Overfull \hbox (25.85847pt too wide) in paragraph at lines 239--240
+Overfull \hbox (44.74739pt too wide) in paragraph at lines 239--240
 []\OT1/cmr/m/n/10 We call []\OT1/cmtt/m/n/10 MPI_Bcast(buffer, count, datatype,
- mpi_root = 1, mpi_comm) \OT1/cmr/m/n/10 . 
- []
-
-<bcast.png, id=36, 743.77875pt x 552.0625pt>
+ mpi_root = 1, mpi_comm)  \OT1/cmr/m/n/10 with
+ []
+
+<bcast.png, id=36, 512.91624pt x 552.0625pt>
 File: bcast.png Graphic file (type png)
  <use bcast.png>
 Package pdftex.def Info: bcast.png used on input line 244.
-(pdftex.def)             Requested size: 223.13535pt x 165.62003pt.
+(pdftex.def)             Requested size: 153.87605pt x 165.62003pt.
 
 Overfull \hbox (16.20544pt too wide) in paragraph at lines 249--251
@@ -687,6 +687,6 @@
 Package pdftex.def Info: intercomm.png used on input line 344.
 (pdftex.def)             Requested size: 311.06451pt x 137.9163pt.
- [10 <./intercomm.png (PNG copy)>]
-<intercomm_step.png, id=56, 1309.89375pt x 683.55376pt>
+
+<intercomm_step.png, id=53, 1309.89375pt x 683.55376pt>
 File: intercomm_step.png Graphic file (type png)
 
@@ -694,5 +694,5 @@
 Package pdftex.def Info: intercomm_step.png used on input line 369.
 (pdftex.def)             Requested size: 327.47264pt x 170.88802pt.
-
+ [10 <./intercomm.png (PNG copy)>]
 Overfull \hbox (6.07089pt too wide) in paragraph at lines 372--375
 \OT1/cmr/m/n/10 should add an \OT1/cmr/m/it/10 pri-or-ity check \OT1/cmr/m/n/10
@@ -827,5 +827,5 @@
 xlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmtt10.pfb></usr/share/texlive/
 texmf-dist/fonts/type1/urw/times/utmr8a.pfb>
-Output written on "EP note.pdf" (17 pages, 1091602 bytes).
+Output written on "EP note.pdf" (17 pages, 1089153 bytes).
 PDF statistics:
  133 PDF objects out of 1000 (max. 8388607)
Index: XIOS/dev/branch_openmp/Note/EP note.tex
===================================================================
--- XIOS/dev/branch_openmp/Note/EP note.tex	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/EP note.tex	(revision 1552)
@@ -236,7 +236,7 @@
 
 \begin{itemize}
- \item[1.] EP process with rank 4 send the buffer to EP process rank 3 which is a master thread. 
- \item[2.] We call \verb|MPI_Bcast(buffer, count, datatype, mpi_root = 1, mpi_comm) |.
- \item[3.] All master threads send the buffer to its slaves. 
+ %\item[1.] EP process with rank 4 send the buffer to EP process rank 3 which is a master thread. 
+ \item[1.] We call \verb|MPI_Bcast(buffer, count, datatype, mpi_root = 1, mpi_comm) | with EP processes rank 0, 4, 6, and 9.
+ \item[2.] EP processes rank 0, 4, 6, and 9 send the buffer to its slaves. 
 \end{itemize}
 
Index: XIOS/dev/branch_openmp/Note/rapport ESIWACE.aux
===================================================================
--- XIOS/dev/branch_openmp/Note/rapport ESIWACE.aux	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/rapport ESIWACE.aux	(revision 1552)
@@ -8,12 +8,21 @@
 \@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces }}{3}}
 \newlabel{fig:omp}{{3}{3}}
-\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces }}{3}}
-\newlabel{fig:scheme}{{4}{3}}
-\@writefile{toc}{\contentsline {section}{\numberline {3}Performance of LMDZ using EP\_XIOS}{5}}
-\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces Speedup obtained by using EP in LMDZ simulations.}}{5}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces }}{4}}
+\newlabel{fig:scheme}{{4}{4}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces }}{5}}
+\newlabel{fig:tag}{{5}{5}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces This figure shows the classic pattern of a P2P communication with the endpoint interface. Thread/endpoint rank 0 sends a message to thread/endpoint rank 3 with tag=1. The underlying MPI function called by the sender is indeed a send for MPI rank of 1 and tag=65537. From the receiver's point of view, the endpoint 3 is actually receiving a message from MPI rank 0 with tag=65537.}}{5}}
+\newlabel{fig:sendrecv}{{6}{5}}
+\citation{ep:2018}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces }}{6}}
+\newlabel{fig:bcast}{{7}{6}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces }}{6}}
+\newlabel{fig:allreduce}{{8}{6}}
+\citation{ep:2018}
 \bibstyle{plain}
 \bibdata{reference}
-\bibcite{Dinan:2013}{1}
-\bibcite{Sridharan:2014}{2}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Performance of EP\_XIOS}{6}}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Perspectives of EP\_XIOS}{6}}
+\bibcite{ep:2018}{1}
+\bibcite{Dinan:2013}{2}
+\bibcite{Sridharan:2014}{3}
+\@writefile{toc}{\contentsline {section}{\numberline {3}The multi-threaded XIOS and performance results}{7}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Future works for XIOS}{7}}
Index: XIOS/dev/branch_openmp/Note/rapport ESIWACE.bbl
===================================================================
--- XIOS/dev/branch_openmp/Note/rapport ESIWACE.bbl	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/rapport ESIWACE.bbl	(revision 1552)
@@ -1,14 +1,21 @@
 \begin{thebibliography}{1}
+
+\bibitem{ep:2018}
+XIOS developper group.
+\newblock Note for {XIOS} {E}ndpoints.
+\newblock Technical report,
+  \url{http://forge.ipsl.jussieu.fr/ioserver/browser/XIOS/dev/branch_openmp/Note},
+  2018.
 
 \bibitem{Dinan:2013}
 J.~Dinan, Pavan Balaji, D.~Goodell, D.~Miller, M.~Snir, and Rajeev Thakur.
-\newblock Enabling mpi interoperability through flexible communication
-  endpoints.
+\newblock Enabling {MPI} {I}nteroperability {T}hrough {F}lexible
+  {C}ommunication {E}ndpoints.
 \newblock In {\em EuroMPI 2013}, Madrid, Spain, 2013.
 
 \bibitem{Sridharan:2014}
 S.~Sridharan, J.~Dinan, and D.~D. Kalamkar.
-\newblock Enabling efficient multithreaded mpi communication through a
-  library-based implementation of mpi endpoints.
+\newblock Enabling {E}fficient {M}ultithreaded {MPI} {C}ommunication {T}hrough
+  a {L}ibrary-{B}ased {I}mplementation of {MPI} {E}ndpoints.
 \newblock In {\em SC14: International Conference for High Performance
   Computing, Networking, Storage and Analysis}, pages 487--498, Nov 2014.
Index: XIOS/dev/branch_openmp/Note/rapport ESIWACE.blg
===================================================================
--- XIOS/dev/branch_openmp/Note/rapport ESIWACE.blg	(revision 1551)
+++ XIOS/dev/branch_openmp/Note/rapport ESIWACE.blg	(revision 1552)
@@ -1,46 +1,48 @@
-This is BibTeX, Version 0.99d (TeX Live 2016)
+This is BibTeX, Version 0.99d (TeX Live 2015/Debian)
 Capacity: max_strings=35307, hash_size=35307, hash_prime=30011
 The top-level auxiliary file: rapport ESIWACE.aux
 The style file: plain.bst
 Database file #1: reference.bib
-You've used 2 entries,
+Warning--empty institution in ep:2018
+You've used 3 entries,
             2118 wiz_defined-function locations,
-            512 strings with 4502 characters,
-and the built_in function-call counts, 893 in all, are:
-= -- 80
-> -- 51
+            517 strings with 4672 characters,
+and the built_in function-call counts, 1094 in all, are:
+= -- 101
+> -- 58
 < -- 1
-+ -- 20
-- -- 18
-* -- 63
-:= -- 146
-add.period$ -- 6
-call.type$ -- 2
-change.case$ -- 15
++ -- 23
+- -- 20
+* -- 73
+:= -- 186
+add.period$ -- 9
+call.type$ -- 3
+change.case$ -- 20
 chr.to.int$ -- 0
-cite$ -- 2
-duplicate$ -- 37
-empty$ -- 68
-format.name$ -- 18
-if$ -- 192
+cite$ -- 4
+duplicate$ -- 45
+empty$ -- 83
+format.name$ -- 20
+if$ -- 231
 int.to.chr$ -- 0
-int.to.str$ -- 2
+int.to.str$ -- 3
 missing$ -- 2
-newline$ -- 13
-num.names$ -- 4
-pop$ -- 22
+newline$ -- 18
+num.names$ -- 6
+pop$ -- 25
 preamble$ -- 1
-purify$ -- 13
+purify$ -- 16
 quote$ -- 0
-skip$ -- 25
+skip$ -- 30
 stack$ -- 0
-substring$ -- 38
+substring$ -- 43
 swap$ -- 12
 text.length$ -- 1
 text.prefix$ -- 0
 top$ -- 0
-type$ -- 8
-warning$ -- 0
-while$ -- 6
-width$ -- 3
-write$ -- 24
+type$ -- 12
+warning$ -- 1
+while$ -- 8
+width$ -- 4
+write$ -- 35
+(There was 1 warning)
